nmarkedabeliangroup.h File Reference

Deals with abelian groups given by chain complexes. More...

`#include <vector>`
`#include <memory>`
`#include "regina-core.h"`
`#include "maths/nmatrixint.h"`
`#include "utilities/ptrutils.h"`

## Classes

class | regina::NMarkedAbelianGroup
| Represents a finitely generated abelian group given by a chain complex. More...
class | regina::NHomMarkedAbelianGroup
| Represents a homomorphism of finitely generated abelian groups. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Deals with abelian groups given by chain complexes.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).